Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IUpdateConstants

All Known Subinterfaces:
  IImport

All Known Implementing Classes:
  Import

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateConstants

Manages a list of static constants.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0.2

Field Summary
`static int` `RULE_COMPATIBLE` Deprecated. Dependency can be satisfied only with plug-in version that is compatible with the specified version (either is equivalent, or greater minor identifier (but same major identifier)).
`static int` `RULE_EQUIVALENT` Deprecated. Dependency can be satisfied only with plug-in version that is equivalent to the specified version (same major and minor version identifier, greater than or equal service identifier).
`static int` `RULE_GREATER_OR_EQUAL` Deprecated. Dependency can be satisfied only with plug-in version that is greater or equal to the specified version.
`static int` `RULE_NONE` Deprecated. No matching rule specified
`static int` `RULE_PERFECT` Deprecated. Dependency can be satisfied only with plug-in version matching exactly the specified version.
`static int` `RULE_PREFIX` Deprecated. Dependency can be satisfied only if the required identifier is a prefix of the specified identifier.
`static int` `SEARCH_ROOT` Deprecated. The search location for updates is defined by the root feature.
`static int` `SEARCH_SELF` Deprecated. The search location for updates is defined by this feature.

Field Detail

### RULE_NONE

    static final int RULE_NONE

  Deprecated.
  No matching rule specified

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_PERFECT

    static final int RULE_PERFECT

  Deprecated.
  Dependency can be satisfied only with plug-in version matching exactly the specified version.

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_EQUIVALENT

    static final int RULE_EQUIVALENT

  Deprecated.
  Dependency can be satisfied only with plug-in version that is equivalent to the specified version (same major and minor version identifier, greater than or equal service identifier).

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_COMPATIBLE

    static final int RULE_COMPATIBLE

  Deprecated.
  Dependency can be satisfied only with plug-in version that is compatible with the specified version (either is equivalent, or greater minor identifier (but same major identifier)).

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_GREATER_OR_EQUAL

    static final int RULE_GREATER_OR_EQUAL

  Deprecated.
  Dependency can be satisfied only with plug-in version that is greater or equal to the specified version.

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_PREFIX

    static final int RULE_PREFIX

  Deprecated.
  Dependency can be satisfied only if the required identifier is a prefix of the specified identifier.

  Since:
    2.1
  See Also:
    Constant Field Values

### SEARCH_ROOT

    static final int SEARCH_ROOT

  Deprecated.
  The search location for updates is defined by the root feature.

  Since:
    2.0.2
  See Also:
    Constant Field Values

### SEARCH_SELF

    static final int SEARCH_SELF

  Deprecated.
  The search location for updates is defined by this feature.

  Since:
    2.0.2
  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.